Bug 445146 - Review Request: roadstencil-fonts - Roadstencil fonts
Review Request: roadstencil-fonts - Roadstencil fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 14:51 EDT by Jon Stanley
Modified: 2008-07-30 16:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 13:25:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-05-04 14:51:11 EDT
Spec URL: http://jstanley.fedorapeople.org/roadstencil-fonts.spec
SRPM URL: http://jstanley.fedorapeople.org/roadstencil-fonts-1.0-1.fc8.src.rpm
Description: A rough font influenced by roadwork stencils
Comment 1 Jon Stanley 2008-05-04 14:52:32 EDT
rpmlint:

roadstencil-fonts.noarch: W: no-documentation
- No docs for fonts.
Comment 2 Kevin Fenzi 2008-05-04 14:54:01 EDT
I'd be happy to review this... look for a full review in a bit. 
Comment 3 Kevin Fenzi 2008-05-04 15:16:20 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (OFL)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b8d647fb353946263f9de439b8e55bb3  andyfitz_-_roadstencil.otf
b8d647fb353946263f9de439b8e55bb3  roadstencil-fonts-1.0/roadstencil.otf
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. The upstream website tags this as OFL, so I assume thats the license.
It would be nice if there was a included license or readme saying that with the
font. I'm not sure thats going to be possible with openfontlibrary.org.
Not a blocker.

2. Where did you get the tar.gz?
The Source0 URL seems like it should be:
http://openfontlibrary.org/people/andyfitz/andyfitz_-_roadstencil.otf

3. rpmlint says:
roadstencil-fonts.noarch: W: no-documentation
Can be ignored.

Can you rework things with the Source0 url from item 2?
Comment 4 Jon Stanley 2008-05-04 15:46:18 EDT
Fixed, same spec.  New SRPM:

http://jstanley.fedorapeople.org/roadstencil-fonts-1.0-2.fc8.src.rpm
Comment 5 Kevin Fenzi 2008-05-04 16:25:12 EDT
Looks good, a pretty simple package. ;) 
This package is APPROVED. 

Comment 6 Jon Stanley 2008-05-04 17:08:00 EDT
New Package CVS Request
=======================
Package Name:  roadstencil-fonts
Short Description: Roadstencil fonts
Owners: jstanley
Branches:  F-8 F-9 
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-05-04 22:23:33 EDT
cvs done.
Comment 8 Fedora Update System 2008-05-05 03:10:22 EDT
roadstencil-fonts-1.0-2.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-05-05 03:17:26 EDT
roadstencil-fonts-1.0-2.fc8 has been submitted as an update for Fedora 8
Comment 10 Jon Stanley 2008-05-06 16:05:44 EDT
Package Change Request
======================
Package Name: roadstencil-fonts
New Branches: EL-4 EL-5
Comment 11 Kevin Fenzi 2008-05-06 16:57:58 EDT
cvs done.
Comment 12 Fedora Update System 2008-07-30 16:06:02 EDT
roadstencil-fonts-1.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-07-30 16:11:01 EDT
roadstencil-fonts-1.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.